Bug 493100 - Guest install failure when installing from host cdrom device
Guest install failure when installing from host cdrom device
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11VirtTarget
  Show dependency treegraph
 
Reported: 2009-03-31 12:10 EDT by Remy Maucherat
Modified: 2009-04-04 12:00 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-04 12:00:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error trace (925 bytes, text/plain)
2009-03-31 12:10 EDT, Remy Maucherat
no flags Details
Screeshot with VM summary details (88.35 KB, image/png)
2009-03-31 12:11 EDT, Remy Maucherat
no flags Details

  None (edit)
Description Remy Maucherat 2009-03-31 12:10:42 EDT
Created attachment 337330 [details]
Error trace

Description of problem:
Libvirt fails to setup VM.

Version-Release number of selected component (if applicable):
0.6.1-5

How reproducible:
Always

Steps to Reproduce:
1. Create a VM using a CD
2.
3.
  
Actual results:
Error message.

Expected results:


Additional info:
See attached screenshot and error trace.
Comment 1 Remy Maucherat 2009-03-31 12:11:20 EDT
Created attachment 337332 [details]
Screeshot with VM summary details
Comment 2 Mark McLoughlin 2009-04-03 06:30:23 EDT
Does it work with SELinux in enforcing mode? Since you're doing an ISO install, it sounds like it's probably bug #493692
Comment 3 Remy Maucherat 2009-04-03 07:51:32 EDT
I get the security problem (as I use SELinux) as in bug #493692 when I run an ISO, but using a CD I burned (as a workaround) I don't get the security problem. Instead I get another error (see trace).
Comment 4 Mark McLoughlin 2009-04-03 08:00:33 EDT
Thanks Remy - just to be clear, this issue with installing from the cdrom device does not go away when using SELinux in permissive mode?
Comment 5 Remy Maucherat 2009-04-03 08:44:29 EDT
Ok, so the problem does go away in permissive mode. Thanks.
Comment 6 Mark McLoughlin 2009-04-03 09:00:18 EDT
Good - please post the SELinux warnings
Comment 7 Remy Maucherat 2009-04-03 11:55:07 EDT
I'll get the libselinux 2.0.79-5 update and will post the details when I do get it. Right now, it's too unstable.
Comment 8 Daniel Walsh 2009-04-03 13:41:24 EDT
Please attach /var/log/audit/audit.log
Comment 9 Remy Maucherat 2009-04-04 12:00:24 EDT
Fixed with the today's updates. Thanks.

Note You need to log in before you can comment on or make changes to this bug.